#ifndef stdioctr_h_included  
#define stdioctr_h_included  
/******************************************************************************
*                         ** Company Confidential **
*                  ** Copyright 1994, All rights Reserved **
* %Z%%M% version %I% date:%G%
******************************************************************************/

// -MQBeg- [Module_Includes] [stdioctr_h] <0000001B.00000000> Retained!
// -MQEnd- [Module_Includes] [stdioctr_h] <0000001B.00000000> 

// -MQBeg- [Module_Declarations_1] [stdioctr_h] <0000001B.00000000> Retained!
// -MQEnd- [Module_Declarations_1] [stdioctr_h] <0000001B.00000000> 

// -MQBeg- [Class_Spec] [TTT_StdioController] <00000000.00000007> 
/******************************************************************************
TTT_StdioController:
Implements TTT with keyboard events.
******************************************************************************/
class TTT_StdioController  : public TTT_Controller 
{
// -MQBeg- [Declarations_1] [TTT_StdioController] <00000000.00000007> Retained!
// -MQEnd- [Declarations_1] [TTT_StdioController] <00000000.00000007> 
public:
  // Provide an engine and a display during construction.
  TTT_StdioController(TTT_Engine *Engine, TTT_Display *Disp);
  // Start game and provide an event loop.
  virtual void Start();
private:
  // Get events from user. If it is a move event, Cell will tell where.
  TTT_Controller::TTT_EVENT GetUserEvent(int& Cell);
// -MQBeg- [Declarations_2] [TTT_StdioController] <00000000.00000007> Retained!
// -MQEnd- [Declarations_2] [TTT_StdioController] <00000000.00000007> 
};

// -MQEnd- [Class_Spec] [TTT_StdioController] <00000000.00000007> 

// -MQBeg- [Module_Declarations_2] [stdioctr_h] <0000001B.00000000> Retained!
// -MQEnd- [Module_Declarations_2] [stdioctr_h] <0000001B.00000000> 

#endif
